# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLLegendElement Class Reference

Provides a caption for a `FIELDSET` grouping. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLLegendElement:

[legend]
Collaboration diagram for DOM::HTMLLegendElement:

[legend]
List of all members.

## Public Member Functions

| HTMLLegendElement (const HTMLLegendElement &other)
| HTMLLegendElement (const Node &other)
HTMLLegendElement & | operator= (const HTMLLegendElement &other)
HTMLLegendElement & | operator= (const Node &other)
HTMLFormElement | form () const
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | align () const
void | setAlign (const DOMString &)

## Protected Member Functions

| HTMLLegendElement (HTMLLegendElementImpl *impl)

## Detailed Description

Provides a caption for a `FIELDSET` grouping.

See the LEGEND element definition in HTML 4.0.

Definition at line 697 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLLegendElement::form | ( |  | ) | const

| ### KDE 4.0: remove Reimplemented from DOM::Element. Definition at line 644 of file html_form.cpp. References DOM::Element::form().

DOMString HTMLLegendElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 649 of file html_form.cpp.

void HTMLLegendElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 655 of file html_form.cpp.

DOMString HTMLLegendElement::align | ( |  | ) | const

| Text alignment relative to `FIELDSET` . See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 660 of file html_form.cpp.

void HTMLLegendElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 666 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003